QResizeEvent(3qt)

NAME
QResizeEvent - Event parameters for resize events

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QResizeEvent ( const QSize & size, const QSize & oldSize )
const QSize& size () const
const QSize& oldSize () const

DESCRIPTION
The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also: QWidget::resize() and QWidget::setGeometry().

Examples: mainlyMotif/editor.cpp tictac/tictac.cpp life/life.cpp mainlyQt/editor.cpp tooltip/tooltip.cpp drawdemo/drawdemo.cpp xform/xform.cpp menu/menu.cpp qmag/qmag.cpp showimg/showimg.cpp mainlyXt/editor.cpp

MEMBER FUNCTION DOCUMENTATION

QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )
Constructs a resize event with the new and old widget sizes.

const QSize & QResizeEvent::oldSize () const
Returns the old size of the widget.

const QSize & QResizeEvent::size () const
Returns the new size of the widget, which is the same as QWidget::size().

SEE ALSO
http://www.troll.no/qt/qresizeevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.